Skip to content
Documentation

Deletes a specific time series

DELETE /repositories/{repository}/timeSeries/{timeSeries}

Use this request to delete a specific time series from a repository.

Name In Type Required Description
repository path string yes The name of the repository in which the time series is stored.
timeSeries path string yes The name or id (prefixed with ‘id:’) of the time series to be deleted.
cascade query boolean no Specifies whether or not the data associated with the time series should be permanently deleted as well.
Code Description Type
204 Indicates that the given time series was deleted successfully. no body
404 Indicates that the given time series was not found within the given repository or that the given repository itself does not exist. ProblemDetails
4XX Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. ProblemDetails
5XX Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. ProblemDetails

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}
© 2026 Volue.Version v0.6.38017 November 2026